# MedicationRequest _search

`POST /MedicationRequest/_search`

This resource contains a list of a patient’s current prescribed medications, as documented by one organization. What this doesn’t contain: any details about how much a patient has taken of what they were prescribed.

You can review, retrieve, or create a list of current medications for a patient. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for a list of current medications for a patient. [Review tips for medication searches](https://docs.redoxengine.com/permalink/5ViW1sFKmaQD0njGTnjWA7).

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We only note which query parameters are required _if you’re querying a FHIR server directly_. Remember that Redox (i.e., data on demand) isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters will vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

###### Data on demand requirements

For data on demand searches, you must include this query parameter: 

- FHIR resource ID for `Patient` resource ([learn about FHIR references](https://docs.redoxengine.com/basics/redox-fhir-api/fhir-glossary/#reference) or [review HL7's docs on references](https://build.fhir.org/search.html#reference))

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `patient` | Array of string | No | Returns prescriptions for a specific patient |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `intent` | Array of string | No | Returns prescriptions with different intents |
| `status` | Array of string | No | Status of the prescription |
| `recorder` | Array of string | No | Person who entered the request |
| `authoredon` | Array of string | No | When request was initially authored |
| `requester` | Array of string | No | Person who prescribed this medication |
| `encounter` | Array of string | No | Encounter during which the medication was prescribed |
| `encounter.identifier` | Array of string | No | Identifier(s) by which this encounter is known |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/MedicationRequest/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'intent=string' \
--data-urlencode 'status=string' \
--data-urlencode 'recorder=string' \
--data-urlencode 'authoredon=string' \
--data-urlencode 'requester=string' \
--data-urlencode 'encounter=string' \
--data-urlencode 'encounter.identifier=string'
```

## Responses

### 200

Search results (Bundle)

Response to a MedicationRequest search operation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of MedicationRequest or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (MedicationRequest).resource` | object | Yes | A record of a medication that has been prescribed/ordered. |
| `entry[] (MedicationRequest).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: MedicationRequest |
| `entry[] (MedicationRequest).resource.status` | string | Yes | A code specifying the current state of the order.  Generally, this will be active or completed state. Possible values: (USCDI) active, on-hold, cancelled, completed, entered-in-error, stopped, draft, unknown |
| `entry[] (MedicationRequest).resource._status` | object | Yes | This element contains extensions for `status`. Depending on the extensions present it could be used in place of `status` or contain additional information about `status`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (MedicationRequest).resource._status.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource._status.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (MedicationRequest).resource._status.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (MedicationRequest).resource._status.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource._status.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationRequest).resource.intent` | string | Yes | Whether the request is a proposal, plan, or an original order. Possible values: (USCDI) proposal, plan, order, original-order, reflex-order, filler-order, instance-order, option |
| `entry[] (MedicationRequest).resource.subject` | object | Yes | A link to a resource representing the person or set of individuals to whom the medication will be given. Must be a resource of type `Patient`. |
| `entry[] (MedicationRequest).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationRequest).resource.medicationCodeableConcept` | object | Yes | Identifies the medication being requested. This is a link to a resource that represents the medication which may be the details of the medication or simply an attribute carrying a code that identifies the medication from a known list of medications. |
| `entry[] (MedicationRequest).resource.medicationCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationRequest).resource.medicationCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource.medicationCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource.medicationCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationRequest).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (MedicationRequest).resource.identifier` | Array of object | No | Identifiers associated with this medication request that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server. |
| `entry[] (MedicationRequest).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationRequest).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (MedicationRequest).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (MedicationRequest).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (MedicationRequest).resource.priority` | string | No | Indicates how quickly the Medication Request should be addressed with respect to other requests. Possible values: routine, urgent, asap, stat |
| `entry[] (MedicationRequest).resource.encounter` | object | No | The Encounter during which this [x] was created or to which the creation of this record is tightly associated. Must be a resource of type `Encounter`. |
| `entry[] (MedicationRequest).resource.encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationRequest).resource.requester` | object | No | The individual, organization, or device that initiated the request and has responsibility for its activation. The requester will usually be a reference to a Practitioner resource or a PractitionerRole resource containing the practitioner and additional information. In rare instances, the requester may only be an identifier for the resource, such as an NPI. Must reference one of the following types of resources: - `Practitioner` - `Organization` - `PractitionerRole` |
| `entry[] (MedicationRequest).resource.requester.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationRequest).resource.requester.identifier` | object | No | An identifier for the target resource. This is used when there is no way to reference the other resource directly, either because the entity it represents is not available through a FHIR server, or because there is no way for the author of the resource to convert a known identifier to an actual location. There is no requirement that a Reference.identifier point to something that is actually exposed as a FHIR instance, but it SHALL point to a business concept that would be expected to be exposed as a FHIR instance, and that instance would need to be of a FHIR resource type allowed by the reference. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (MedicationRequest).resource.requester.identifier.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationRequest).resource.requester.identifier.use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (MedicationRequest).resource.requester.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (MedicationRequest).resource.requester.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (MedicationRequest).resource.recorder` | object | No | The person who entered the order on behalf of another individual for example in the case of a verbal or a telephone order. Must be a resource of type `Practitioner`. |
| `entry[] (MedicationRequest).resource.recorder.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (MedicationRequest).resource.reasonCode` | Array of object | No | The reason or the indication for ordering or not ordering the medication. |
| `entry[] (MedicationRequest).resource.reasonCode[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationRequest).resource.reasonCode[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (MedicationRequest).resource.reasonCode[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (MedicationRequest).resource.reasonCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (MedicationRequest).resource.dosageInstruction` | Array of object | No | Indicates how the medication is to be used by the patient. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].text` | string | No | Free text dosage instructions e.g. SIG. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing` | object | No | When medication should be administered. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.modifierExtension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions. Modifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.modifierExtension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.modifierExtension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.modifierExtension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.event` | Array of string | No | Identifies specific times when the event occurs. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing._event` | Array of object | No | Extensions for event |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing._event[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing._event[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing._event[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing._event[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing._event[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat` | object | No | A set of rules that describe when the event is scheduled. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.modifierExtension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions. Modifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.modifierExtension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.modifierExtension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.modifierExtension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration` | object | No | Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.value` | number | No | A rational number with implicit precision |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._value` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._comparator` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._comparator.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.unit` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._unit` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._unit.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._system` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._code` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsDuration._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange` | object | No | Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low` | object | No | The low limit. The boundary is inclusive. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.value` | number | No | A rational number with implicit precision |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._value` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._comparator` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._comparator.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.unit` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._unit` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._unit.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._system` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._code` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.low._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high` | object | No | The high limit. The boundary is inclusive. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.value` | number | No | A rational number with implicit precision |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._value` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._comparator` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._comparator.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.unit` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._unit` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._unit.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._system` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._code` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsRange.high._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod` | object | No | A time period defined by a start and end date and optionally time. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._start` | object | No | Extensions for start |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._start.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._start.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._end` | object | No | Extensions for end |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._end.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._end.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.boundsPeriod._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.count` | number | No | An integer with a value that is positive (e.g. >0) |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._count` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._count.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._count.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._count.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._count.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._count.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.countMax` | number | No | An integer with a value that is positive (e.g. >0) |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._countMax` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._countMax.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._countMax.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._countMax.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._countMax.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._countMax.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.duration` | number | No | A rational number with implicit precision |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._duration` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._duration.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._duration.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._duration.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._duration.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._duration.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.durationMax` | number | No | A rational number with implicit precision |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationMax` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationMax.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationMax.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationMax.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationMax.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationMax.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.durationUnit` | any | No | The units of time for the duration, in UCUM units. Possible values: s, min, h, d, wk, mo, a |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationUnit` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationUnit.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationUnit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationUnit.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationUnit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._durationUnit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.frequency` | number | No | An integer with a value that is positive (e.g. >0) |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequency` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequency.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequency.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequency.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequency.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequency.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.frequencyMax` | number | No | An integer with a value that is positive (e.g. >0) |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequencyMax` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequencyMax.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequencyMax.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequencyMax.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequencyMax.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._frequencyMax.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.period` | number | No | A rational number with implicit precision |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._period` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._period.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._period.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.periodMax` | number | No | A rational number with implicit precision |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodMax` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodMax.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodMax.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodMax.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodMax.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodMax.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.periodUnit` | any | No | The units of time for the period in UCUM units. Possible values: s, min, h, d, wk, mo, a |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodUnit` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodUnit.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodUnit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodUnit.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodUnit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._periodUnit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.dayOfWeek` | Array of string | No | If one or more days of week is provided, then the action happens only on the specified day(s). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._dayOfWeek` | Array of object | No | Extensions for dayOfWeek |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._dayOfWeek[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._dayOfWeek[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._dayOfWeek[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._dayOfWeek[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._dayOfWeek[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.timeOfDay` | Array of string | No | Specified time of day for action to take place. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._timeOfDay` | Array of object | No | Extensions for timeOfDay |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._timeOfDay[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._timeOfDay[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._timeOfDay[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._timeOfDay[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._timeOfDay[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.when` | Array of any | No | An approximate time period during the day, potentially linked to an event of daily living that indicates when the action should occur. Possible values: MORN, MORN.early, MORN.late, NOON, AFT, AFT.early, AFT.late, EVE, EVE.early, EVE.late, NIGHT, PHS, HS, WAKE, C, CM, CD, CV, AC, ACM, ACD, ACV, PC, PCM, PCD, PCV |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._when` | Array of object | No | Extensions for when |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._when[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._when[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._when[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._when[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._when[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat.offset` | number | No | An integer with a value that is not negative (e.g. >= 0) |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._offset` | object | No | Base definition for all elements in a resource. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._offset.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._offset.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._offset.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._offset.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.repeat._offset.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code` | object | No | A concept that may be defined by a formal reference to a terminology or ontology or may be provided by text. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._system` | object | No | Extensions for system |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._version` | object | No | Extensions for version |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (MedicationRequest).resource.dosageInstruction[].timing.code.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
[...]
